Subject: Re: dmasound module on PowerBook

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Mar 2000 11:50:36 +0200

On Sun, Mar 26, 2000, Geert Uytterhoeven <[email-masked]> wrote:

>In arch/ppc/kernel/feature.c, we have
>
>    #ifdef CONFIG_PMAC_PBOOK
>    #ifdef CONFIG_DMASOUND_MODULE
>	    /* On PowerBooks, we disable the sound chip when dmasound is a module
>	     * */
>	    if (controller_count && find_devices("via-pmu") != NULL) {
>		    feature_clear(controllers[0].device, FEATURE_Sound_power);
>		    feature_clear(controllers[0].device, FEATURE_Sound_CLK_enable);
>	    }
>    #endif
>    #endif
>
>Shouldn't the sound chip be disabled if dmasound is not compiled at all, i.e.
>#if defined(CONFIG_PMAC_PBOOK) && !defined(CONFIG_DMASOUND)?

It need to be disabled when it's not compiled at all or when it's in a
module (the module knows how to power it back up when insmod'ed). So yes,
this code won't handle the case where it's not compiled at all and needs
fixing.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/